using System;
 
/*
 * Bartosz "WiedMAC" Bednarczyk
 * Liceum Oglnoksztacce im. Wadysawa Broniewskiego w Strzelcach Opolskich
 * Iteracyjne obliczanie wartoci Symbolu Newtona ( C# )
 * www.algorytm.org
 */
 
public class Newton
{
        public static long Newton( int n, int k )
        {
                long  Wynik = 1;       // Deklaracja zmiennych
                int i; 
                
                for(i = 1; i <= k; i++) // Od 1 do k wykonujemy : 
                {
                        Wynik = Wynik * ( n - i + 1 ) / i;      // Obliczanie ze wzoru iteracyjnego
                }
                
                return Wynik;   // Zwr Wynik
        }
 
        public static void Main()
        {
                int n = int.Parse(Console.ReadLine());
                int k = int.Parse(Console.ReadLine());
                
                if( k == 0 || n == k ) System.Console.WriteLine("1");
                else System.Console.WriteLine( Newton(n,k) );
        }
}